Skip to main content

Event Details

Overview

Unlike Campaigns, Events do not have Campaign Types; instead, we must provide information about the Event so that we can adequately inform job seekers and those who RSVP of the Event details.

Event Required Details

Below are the fields and their uses required for an Event to launch:

  • eventType: Denotes what type of Event this is. Options are:
    • "IN_PERSON": Indicates this is an in-person hiring event and will require you to provide the physical address of the location where the Event will be held
    • "ONLINE": Indicates this is an online hiring event and will require you to provide a URL job seekers can visit to attend the Event
  • eventStart: This is the first day of the Event in YYYY-MM-DD format
  • eventEnd: This is the last day of the Event in YYYY-MM-DD format
  • eventTimes: This is a string containing a formatted text of each continuous time frame for the event, separated by a "/n" delimiter
    • The time frame format is as follows: {Day abbrev.}, {Month abbrev} {Ordinal number}, {full year}, {start time in standard time} - {end time in standard time} Note: Whole hours do not need minutes (see example)
    • Times should be in the Event's local time
    • Time frame increments must start and end on the start of an hour, or 30 minutes past the start of an hour.
    • Example string with multiple event times:
    "eventTimes": "Tue, Apr 25th, 2023, 9:30AM - 11AM\nTue, Apr 25th, 2023, 12PM - 4:30PM\nFri, Apr 28th, 2023, 10AM - 5PM\nSat, Apr 29th, 2023, 9AM - 1:30PM"
  • emailAddress: Talroo provides daily summaries of Event performance including new and total RSVP counts, as well as a final RSVP list before the Event start date. These reports will be sent to the email address provided in this field
  • eventLocation: If this is an in-person Event, this should be the physical address of the location where the Event will be held
info

We utilize Google Maps when providing users directions to your in-person Events. You should ensure your eventLocation value resolves to the correct Event location in Google Maps

The following example request to the PATCH /campaigns/{campaignId} endpoint would update an Event type Job Campaign (id:6789) with the required fields for an Event type Job Campaign:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/6789' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"eventType": "IN_PERSON",
"eventStart": "2023-04-25",
"eventEnd": "2023-04-29",
"eventTimes": "Tue, Apr 25th, 2023, 9:30AM - 11AM\nTue, Apr 25th, 2023, 12PM - 4:30PM\nFri, Apr 28th, 2023, 10AM - 5PM\nSat, Apr 29th, 2023, 9AM - 1:30PM",
"emailAddress": "eventRecruiter@email.com",
"eventLocation": "6433 Champion Grandview Way Bldg 2, Ste 100, Austin, TX 78750"

}'

Event Additional Options

Below are some optional Event fields and their uses:

  • eventCustomTy: This can be filled with an optional message that will be shown to the user after RSVPing.
  • eventPrepare: This can be filled with an optional message detailing how those who have RSVP'd should prepare for the Event. This message is shown after the user RSVPs and in follow-up reminder messages sent to the job seeker.
    • This field supports URLs that can be used to have those who have RSVP'd complete additional pre Event tasks
  • eventWear: This can be filled with an optional message detailing what those who have RSVP'd should wear for the Event. This message is shown after the user RSVPs, and in follow-up reminder messages sent to the job seeker.
  • talrooApplyRedir: Similar to Talroo Apply campaigns, when this field is set to true we will automatically redirect job seekers to the job's URL after RSVPing. Note: If redirect is enabled, users will not see any custom thank you messaging.

The following example request to the PATCH /campaigns/{campaignId} endpoint would update an Event type Job Campaign (id:6789) with the optional fields for an Event type Job Campaign:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/6789' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"eventCustomTy": "Thank you for RSVPing to the Talroo Test Event! Please be on the lookout for an email with details on how you should prepare for the Event. We look forward to meeting you!",
"eventPrepare": "Prior to attending the Talroo Test Event, please browse https://docs.talroo.com/ as you will find some great, super-useful info there!",
"eventWear": "Please feel free to where what ever you feel comfortable in. No office dress code in the tech world.",
"talrooApplyRedir": false

}'

Event Timeslots and Limiting

We also have the optional ability for you to require job seekers to RSVP to specific 30 or 60-minute timeslots. Additionally, we can limit the number of job seekers that can RSVP to a single timeslot. This can help mitigate overcrowding at Events and keep the time that an Event goer has to wait before speaking with a recruiter low.

To enable timeslots we need to update the eventTimeslot field to either 30 to utilize 30-minute timeslots, or 60 to utilize 60-minute timeslots. To enable timeslot limiting, we need to update the eventTimeslotLimit to the desired maximum RSVPs that can be had per timeslot.

The following example request to the PATCH /campaigns/{campaignId} endpoint would update an Event type Job Campaign (id:6789) with the field values required to utilize 60-minute timeslots with a maximum of 20 RSVPs per timeslot:

curl -X 'PATCH' \
'https://api.talroo.com/v5/campaigns/6789' \
-H 'accept: application/json' \
-H 'Authorization: Bearer {accessToken}' \
-H 'Content-Type: application/json' \
-d '{
"eventTimeslot": 60,
"eventTimeslotLimit": 20

}'